Subject: bug#74312: 31.0.50; Cygw32 build break

From: Eli Zaretskii <[email-masked]>
Date: Mon, 11 Nov 2024 18:07:30 +0200

> Date: Mon, 11 Nov 2024 23:51:33 +0900
> From: Kazuhiro Ito <[email-masked]>
> 
> Cygw32 build fails on  master

Thanks, I've tried to fix it, please see if there are other problems.
And when it does build, please try the drag-n-drop feature, both with
dropping files and with dropping text on Emacs.

(I repeatedly asked Ken to test these changes with the Cygwin build,
but I guess he didn't yet have time.  So it's small wonder that the
master branch fails to build on Cygwin.)